/*  DS
 *  Copyright (C) Joakim Kolsjö and Anders Asplund 2005
 *	This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.

 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.

 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 
 */
 
#include "scene.h"

using namespace std;

namespace DS
{	
	Scene::Scene()
	{
		m_pMVideo = DS::MVideo::GetPointer();
		m_pMMusic = DS::MMusic::GetPointer();
		m_pMTexture = DS::MTexture::GetPointer();
		m_pMModel = DS::MModel::GetPointer();
	}
	
	void Scene::Change(float &Value, float move, float ChangeInSecond)
	{
		Value += ((float)(ChangeInSecond/25)) * move;
	}
}
